> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nameshouts.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Names from List

```http GET theme={"system"}
GET https://api.nameshouts.com/api/v2.0/user/user-list?user_list_id=81564
```

This endpoint returns all the names that belong to a list. Names stored in lists are stored as **name\_groups**.

There are several attributes in the return object that are important:

| **Attributes** | **Description** |
| - | - |
| **user\_list\_name\_group\_id** | This indicates the name\_group that the names belong to. "Albert Einstein" will belong to the same name group id if the are together on a list. This is a unique identifier. |
| **is\_custom** | This is a boolean flag. If this is true that means this name has been recorded by a user and is not available on the NameShouts database. |
| **is\_verified** | This is a boolean again and this means that the user has verified the name pronunciation here. |
| **email** | This is the email of the person who has either verified or added their own name. |

## Authorization

| Bearer Token | |
| - | - |
| Token | `<token>` |

## Params

**user\_list\_id** `string`

Example: `81564`

## Examples

### Get all names from a specific user list

**Example Request**

```bash curl theme={"system"}
curl --location 'https://api.nameshouts.com/api/v2.0/user/user-list?user_list_id=27882'
```

**Example Response** · `200 OK`

```json Body theme={"system"}
[
    {
        "id": 27867,
        "user_list_id": 27882,
        "created_at": "2022-08-06 21:46:03",
        "updated_at": "2022-08-06 21:46:03",
        "is_pinned": 0,
        "is_custom": 0,
        "is_missing": 0,
        "is_requested": 0,
        "names": [
            {
                "id": 121720,
                "name": "Saif",
                "name_phonetic": "sey-f",
                "gender": "male",
                "language_id": 77,
                "path_directory": "saif_ur",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 27867,
                    "name_id": 121720
                }
            },
            {
                "id": 343527,
                "name": "Cheval",
                "name_phonetic": "shuh-vawl",
                "gender": "both",
                "language_id": 18,
                "path_directory": "cheval_en",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 27867,
                    "name_id": 343527
                }
            }
        ],
        "verified_name_group": {
            "id": 11173,
            "user_list_name_group_id": 27867,
            "is_verified": 0,
            "email": null,
            "created_at": "2022-08-06 21:46:03",
            "updated_at": "2022-08-06 21:46:03"
        }
    },
    {
        "id": 27868,
        "user_list_id": 27882,
        "created_at": "2022-08-06 21:46:40",
        "updated_at": "2022-08-06 21:46:40",
        "is_pinned": 0,
        "is_custom": 0,
        "is_missing": 0,
        "is_requested": 0,
        "names": [
            {
                "id": 1056,
                "name": "Naureen",
                "name_phonetic": "naw-reen",
                "gender": "female",
                "language_id": 8,
                "path_directory": "nowrine_be",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 27868,
                    "name_id": 1056
                }
            },
            {
                "id": 532,
                "name": "Anwar",
                "name_phonetic": "ahn-oh-ar",
                "gender": "male",
                "language_id": 8,
                "path_directory": "anowar_be",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 27868,
                    "name_id": 532
                }
            }
        ],
        "verified_name_group": {
            "id": 11174,
            "user_list_name_group_id": 27868,
            "is_verified": 0,
            "email": null,
            "created_at": "2022-08-06 21:46:40",
            "updated_at": "2022-08-06 21:46:40"
        }
    },
    {
        "id": 27869,
        "user_list_id": 27882,
        "created_at": "2022-08-06 21:47:01",
        "updated_at": "2022-08-06 21:47:01",
        "is_pinned": 0,
        "is_custom": 0,
        "is_missing": 0,
        "is_requested": 0,
        "names": [
            {
                "id": 7369,
                "name": "Maxime",
                "name_phonetic": "mak-seem",
                "gender": "male",
                "language_id": 24,
                "path_directory": "maxime_fr",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 27869,
                    "name_id": 7369
                }
            },
            {
                "id": 377129,
                "name": "Buteau",
                "name_phonetic": "boo-toh",
                "gender": "both",
                "language_id": 24,
                "path_directory": "buteau_fr",
                "public": 0,
                "created_at": "2021-09-01 19:03:00",
                "updated_at": "2021-09-01 19:03:00",
                "pivot": {
                    "user_list_name_group_id": 27869,
                    "name_id": 377129
                }
            }
        ],
        "verified_name_group": {
            "id": 11175,
            "user_list_name_group_id": 27869,
            "is_verified": 0,
            "email": null,
            "created_at": "2022-08-06 21:47:01",
            "updated_at": "2022-08-06 21:47:01"
        }
    },
    {
        "id": 27878,
        "user_list_id": 27882,
        "created_at": "2022-08-09 01:49:28",
        "updated_at": "2022-08-09 01:49:28",
        "is_pinned": 0,
        "is_custom": 0,
        "is_missing": 0,
        "is_requested": 0,
        "names": [
            {
                "id": 249271,
                "name": "Benjamin",
                "name_phonetic": "ben-ja-min",
                "gender": "male",
                "language_id": 18,
                "path_directory": "benjamin_en",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 27878,
                    "name_id": 249271
                }
            },
            {
                "id": 266978,
                "name": "Gardner",
                "name_phonetic": "gard-ner",
                "gender": "both",
                "language_id": 18,
                "path_directory": "gardner_en",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 27878,
                    "name_id": 266978
                }
            }
        ],
        "verified_name_group": {
            "id": 11184,
            "user_list_name_group_id": 27878,
            "is_verified": 0,
            "email": null,
            "created_at": "2022-08-09 01:49:28",
            "updated_at": "2022-08-09 01:49:28"
        }
    }
]
```

**Headers (6)**

| Key | Value |
| - | - |
| Server | nginx/1.14.0 (Ubuntu) |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| Cache-Control | no-cache, private |
| Date | Wed, 10 Aug 2022 03:05:21 GMT |

```bash cURL theme={"system"}
curl --location 'https://api.nameshouts.com/api/v2.0/user/user-list?user_list_id=81564' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
```

```json Get all names from a specific user list (200) theme={"system"}
[
    {
        "id": 27867,
        "user_list_id": 27882,
        "created_at": "2022-08-06 21:46:03",
        "updated_at": "2022-08-06 21:46:03",
        "is_pinned": 0,
        "is_custom": 0,
        "is_missing": 0,
        "is_requested": 0,
        "names": [
            {
                "id": 121720,
                "name": "Saif",
                "name_phonetic": "sey-f",
                "gender": "male",
                "language_id": 77,
                "path_directory": "saif_ur",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 27867,
                    "name_id": 121720
                }
            },
            {
                "id": 343527,
                "name": "Cheval",
                "name_phonetic": "shuh-vawl",
                "gender": "both",
                "language_id": 18,
                "path_directory": "cheval_en",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 27867,
                    "name_id": 343527
                }
            }
        ],
        "verified_name_group": {
            "id": 11173,
            "user_list_name_group_id": 27867,
            "is_verified": 0,
            "email": null,
            "created_at": "2022-08-06 21:46:03",
            "updated_at": "2022-08-06 21:46:03"
        }
    },
    {
        "id": 27868,
        "user_list_id": 27882,
        "created_at": "2022-08-06 21:46:40",
        "updated_at": "2022-08-06 21:46:40",
        "is_pinned": 0,
        "is_custom": 0,
        "is_missing": 0,
        "is_requested": 0,
        "names": [
            {
                "id": 1056,
                "name": "Naureen",
                "name_phonetic": "naw-reen",
                "gender": "female",
                "language_id": 8,
                "path_directory": "nowrine_be",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 27868,
                    "name_id": 1056
                }
            },
            {
                "id": 532,
                "name": "Anwar",
                "name_phonetic": "ahn-oh-ar",
                "gender": "male",
                "language_id": 8,
                "path_directory": "anowar_be",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 27868,
                    "name_id": 532
                }
            }
        ],
        "verified_name_group": {
            "id": 11174,
            "user_list_name_group_id": 27868,
            "is_verified": 0,
            "email": null,
            "created_at": "2022-08-06 21:46:40",
            "updated_at": "2022-08-06 21:46:40"
        }
    },
    {
        "id": 27869,
        "user_list_id": 27882,
        "created_at": "2022-08-06 21:47:01",
        "updated_at": "2022-08-06 21:47:01",
        "is_pinned": 0,
        "is_custom": 0,
        "is_missing": 0,
        "is_requested": 0,
        "names": [
            {
                "id": 7369,
                "name": "Maxime",
                "name_phonetic": "mak-seem",
                "gender": "male",
                "language_id": 24,
                "path_directory": "maxime_fr",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 27869,
                    "name_id": 7369
                }
            },
            {
                "id": 377129,
                "name": "Buteau",
                "name_phonetic": "boo-toh",
                "gender": "both",
                "language_id": 24,
                "path_directory": "buteau_fr",
                "public": 0,
                "created_at": "2021-09-01 19:03:00",
                "updated_at": "2021-09-01 19:03:00",
                "pivot": {
                    "user_list_name_group_id": 27869,
                    "name_id": 377129
                }
            }
        ],
        "verified_name_group": {
            "id": 11175,
            "user_list_name_group_id": 27869,
            "is_verified": 0,
            "email": null,
            "created_at": "2022-08-06 21:47:01",
            "updated_at": "2022-08-06 21:47:01"
        }
    },
    {
        "id": 27878,
        "user_list_id": 27882,
        "created_at": "2022-08-09 01:49:28",
        "updated_at": "2022-08-09 01:49:28",
        "is_pinned": 0,
        "is_custom": 0,
        "is_missing": 0,
        "is_requested": 0,
        "names": [
            {
                "id": 249271,
                "name": "Benjamin",
                "name_phonetic": "ben-ja-min",
                "gender": "male",
                "language_id": 18,
                "path_directory": "benjamin_en",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 27878,
                    "name_id": 249271
                }
            },
            {
                "id": 266978,
                "name": "Gardner",
                "name_phonetic": "gard-ner",
                "gender": "both",
                "language_id": 18,
                "path_directory": "gardner_en",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 27878,
                    "name_id": 266978
                }
            }
        ],
        "verified_name_group": {
            "id": 11184,
            "user_list_name_group_id": 27878,
            "is_verified": 0,
            "email": null,
            "created_at": "2022-08-09 01:49:28",
            "updated_at": "2022-08-09 01:49:28"
        }
    }
]
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.